%define GITDATE        20250411
%define GITCOMMIT      040df47cb4d0

%global debug_package %{nil}

Name:           rust-virt-firmware
Version:        0.%{GITDATE}
Release:        %autorelease
Summary:        virt firmware tools and efi apps

License:        MIT
URL:            https://gitlab.com/kraxel/virt-firmware-rs
Source:         virt-firmware-rs-%{GITCOMMIT}.tar.xz

ExclusiveArch:  x86_64 aarch64
BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(libudev)

%ifarch x86_64
%define efiarch x64
BuildRequires:  rust-std-static-x86_64-unknown-uefi
%endif

%ifarch aarch64
%define efiarch aa64
BuildRequires:  rust-std-static-aarch64-unknown-uefi
%endif

%description
virt firmware tools and efi apps

%prep
%autosetup -n virt-firmware-rs-%{GITCOMMIT} -p1
%cargo_prep
sed -i Cargo.toml -e '/igvm/d'
sed -i Cargo.toml -e '/varstore/d'

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build -- --package virtfw-efi-tools
%cargo_build -- --package virtfw-efi-apps --target $(uname -m)-unknown-uefi
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}/%{efiarch}
install -v -s -m 755 target/rpm/generate-boot-csv %{buildroot}%{_bindir}
install -v -s -m 755 target/rpm/mini-bootcfg %{buildroot}%{_bindir}
install -v -s -m 755 target/rpm/uefi-boot-menu %{buildroot}%{_bindir}
install -v -s -m 644 target/*-unknown-uefi/rpm/*.efi %{buildroot}%{_datadir}/%{name}/%{efiarch}

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}/%{efiarch}/*.efi

%changelog
%autochangelog
